0
$\begingroup$

So, I've got the renderman engine from GitHub and, when I install it and enable it (as an add-on), it doesn't show up with the render engines. Why? (The add-on said it required a 2.8 blender update so the add-on is 2.8 ready) Also, I'm trying it in blender 2.81 and blender 2.82a

$\endgroup$

2 Answers 2

1
$\begingroup$

Yeah, that is just not going to work. It is actually not compatible with 2.8 or many of the previous versions. Even though it may say. There are forums all over the place that say the same thing. No one has gotten it to work. But, it is probably for the best. Renderman is not near as capable in clarity of pixelization as cycles. 1080p in Cycles vs Rman is a pretty big difference. Plus, I would guess that alot of the modifiers in Blender would not work in Renderman. It also takes alot more time to Render especially in Windows. And a huge bug with Renderman that comes from what people like about it overcasting light, is that you will get pitch black shadows sometimes that you cannot get rid of.

$\endgroup$
1
  • $\begingroup$ Thanks!!!!!!!!! $\endgroup$ Jan 2, 2020 at 21:42
0
$\begingroup$

The rendering addon space for Blender version 2.83 and higher is a confusing mess of outdated information and equally outdated addons. Renderman addon appears to be abandoned on Github and doesn't work for Blender 2.83 or higher. The only renderer addon other than the built-in Cycles that seems to be actively updating is Luxcore @ https://github.com/LuxCoreRender/BlendLuxCore, but that only officially supports Blender versions up to 2.83, so if you have anything higher like 2.90, you may have issues and must wait on updates.

$\endgroup$
1
  • $\begingroup$ Just your opinion... In fact: Renderman add-on development was on-hold as of Blender 2.8x release for many reasons: (1) Renderman's core is in heavy development in order to support GPU and CPU (2) OSL adaptation (3) Blender API changes, etc... Good news is that they are working on it, preview -> app.livestorm.co/pixar-animation-studios/… and it should be released soon (when stable). Also note, there are add-ons for other popular engines like Redshift or Octane too... and Luxcore should work on 2.9. $\endgroup$
    – brockmann
    Oct 2, 2020 at 8:24

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .